%define name    kino
%define version 0.7.0
%define release 4mdk

Summary: 	GNOME DV-editing utility
Name: 		%{name}
Version:	%{version}
Release: 	%{release}
Source0: 	%{name}-%{version}.tar.bz2
URL: 		http://www.schirmacher.de/arne/kino/
License: 	GPL
Group: 		Video
BuildRoot: 	%{_tmppath}/%{name}-buildroot
BuildRequires: 	libgnomeui2-devel
BuildRequires: 	libglade2.0-devel
BuildRequires: 	libxml2-devel
BuildRequires: 	libquicktime-devel
BuildRequires:	libdv-devel libraw1394-devel
Requires:	ffmpeg
%ifarch ppc
BuildRequires: 	libffmpeg-devel
%endif
Epoch:2

%description
The new generation of digital camcorders use the Digital Video (DV) data
format. Kino allows you to record, create, edit, and play movies recorded
with DV camcorders. Unlike other editors, this program uses many keyboard
commands for fast navigating and editing inside the movie.

%package  devel
Group:	  Development/C++
Summary:  Header files for kino plugin development
Requires: %name = %epoch:%version-%release
Requires: libgnome32-devel

%description devel
This contains the C++ headers needed to build extensions for kino.

%prep
%setup -q

%build
%configure2_5x --with-quicktime \
%ifarch ppc
 --with-avcodec --with-avcodec-lib=%_libdir/libavcodec.a
%endif

%make

%install
mkdir -p $RPM_BUILD_ROOT%{_bindir}
%makeinstall_std

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/kino"\
title="Kino"\
longtitle="Video editor for DV format"\
needs="x11"\
icon="video_section.png"\
section="Multimedia/Video"
EOF
)

 
%post
%update_menus
  
%postun
%update_menus 

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS BUGS ChangeLog NEWS README* TODO
%doc %_datadir/gnome/help/kino
%_bindir/*
%_menudir/*
%_mandir/man1/*
%_datadir/kino/
#%_datadir/pixmaps/kino/

%files devel
%defattr(-,root,root)
%doc COPYING
%_includedir/%name

%changelog
* Thu Feb 26 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-4mdk
- fix deps of the devel package

* Wed Jan  7 2004 Erwan Velu <erwan@mandrakesoft.com> 0.7.0-3mdk
- Fixing requires (ffmpeg)

* Wed Jan  7 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.7.0-2mdk
- fix file list
- fix buildrequires

* Mon Jan  5 2004 Antoine Ginies <aginies@mandrakesoft.com> 0.7.0-1mdk
- release 0.7

* Sun Dec 14 2003 Austin Acton <austin@linux.ca> 0.6.5-1mdk
- 0.6.5
- pretty-up the spec a bit
- remove some majors, some distlint
- remove patch

* Wed Jul 30 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-4mdk
- replace the patch by a fixed version

* Wed Jun 11 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-3mdk
- patch for new gcc

* Tue Apr 29 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-2mdk
- fix distriblint warning
- remove redundant buildrequires

* Mon Feb 24 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.4-1mdk
- only enable ffmpeg for PPC as recommended by the author
- new version

* Thu Feb 13 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-2mdk
- enable quicktime and ffmpeg, please test

* Fri Feb  7 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.6.3-1mdk
- macros
- new version

* Tue Oct 22 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.6-1mdk
- remove Makefiles from pixmap dir
- new epoch
- new version 

* Thu Aug 15 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.51-1mdk
- remove the build hacks
- drop patch
- 0.51
- libdv2

* Wed Jul 31 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.5-3mdk
- add missing files
- build fixes
- fix summary
- libdv-compat1
- fix buildrequirements
- quiet tar

* Mon Mar 18 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-2mdk
- rebuild

* Wed Feb 06 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.5-1mdk
- 0.5
- icon

* Mon Oct 08 2001 Thierry Vignaud <tvignaud@mandrakesoft.com> 0.46-2mdk
- fix {Build,}Requires
- use libdv1 too

* Tue Oct 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.46-1mdk
- 0.46

* Mon Aug 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.45-1mdk
- 0.45
- recompiled against new libraw1394 and lilbavc1394

* Fri Dec 29 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.3-1mdk 
- updated to 0.3

* Mon Dec 04 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.21-1mdk
- new in contribs
- used srpm from rufus t firefly <rufus.t.firefly@linux-mandrake.com>
  - v0.21-1mdk (initial packaging)
